﻿using System;
using System.Windows.Forms;
using Word = Microsoft.Office.Interop.Word;

namespace MergeDoc
{
    public partial class Form1 : Form
    {
        OpenFileDialog ofd = new OpenFileDialog();
        public Form1()
        {
            InitializeComponent();

        }

        private void browseBtn_Click(object sender, EventArgs e)
        {
            ofd.Multiselect = true;
            ofd.Title = "Jelöld ki az összefűzendő dokumentumokat";
            String filter = "Word 93-2007 (*.doc,*.docx)|*.doc; *.docx|Word 97-2003 (*.doc)|*.doc|Word 2007 (*.docx)|*.docx";
            ofd.Filter = filter;
          
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                openedDocs.Items.Clear();
                foreach (String filename in ofd.FileNames)
                {
                    openedDocs.Items.Add(filename);
                }
            }
        }

        private void saveBtn_Click(object sender, EventArgs e)
        {
            Word.ApplicationClass wordApp = new Word.ApplicationClass();
            object visible = false;
            object doctype = Word.WdNewDocumentType.wdNewBlankDocument;
            object docformat = Word.WdOriginalFormat.wdOriginalDocumentFormat;
            object missing = System.Reflection.Missing.Value;

            Word.Document outdoc = wordApp.Documents.Add(missing, missing, doctype, visible);
            foreach (String filename in openedDocs.Items)
            {
                object file = filename;
                try
                {
                    outdoc.ActiveWindow.Selection.InsertFile(filename);
                }
                catch (System.Runtime.InteropServices.COMException ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }
            try
            {
                wordApp.Documents.Close();
            }
            catch (System.Runtime.InteropServices.COMException)
            {

            }
            finally
            {
                wordApp.Quit();
            }
        }

    }
}
